Bug 189675 - K3B can't work when a writable disc is mounted
K3B can't work when a writable disc is mounted
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 12:33 EDT by Nicolas GIF
Modified: 2008-05-04 07:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: k3b-1.0.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 07:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas GIF 2006-04-22 12:33:54 EDT
Description of problem:
K3B can't erase, eject nor unmount a full (mounted) writable disc.
I have to unmount it (# umount /media/<cdrw's name>) before to make it work.

I'm using Gnome 2.14,
There was no problem on FC4.

Version-Release number of selected component (if applicable):
k3b.i386 0.12.14-0.FC5.2

How reproducible:
Everytime

Steps to Reproduce:
1. Insert a full CD-RW in the drive so you can see the files inside
2. Open K3B
3. Try to erase CD-RW, overwrite it, eject it or unmount it (all from K3B)
  
Actual results:
The CD-RW can't be erased.

Expected results:
It should be erased to burn new things on it.

Additional info:
Here is the K3B report when error occurs :

==========================================================
System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.2-0.1.fc5 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2096_FC5
Devices
-----------------------
TOSHIBA DVD-ROM SD-R5112 1033 (/dev/hdc, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-R; DVD-RW] [DVD-ROM; DVD-R séquentiel; DVD RW à réinscription limitée;
DVD-RW séquentiel; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96P; SAO/R96R;
RAW/R96R; Réinscription restreinte]

Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord command:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdc speed=16 -tao driveropts=burnfree
-eject blank=fast -force 

cdrecord
-----------------------
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).

/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdc'
devname: '/dev/hdc'
scsibus: -2 target: -2 lun: -2
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
Error trying to open /dev/hdc exclusively ... retrying in 1 second.
/usr/bin/cdrecord: Device or resource busy. Cannot open '/dev/hdc'. Cannot open
SCSI driver.
/usr/bin/cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
/usr/bin/cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
Cdrecord-Clone 2.01.01a03-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg
Schilling
NOTE: This version contains the OSS DVD extensions for cdrtools and thus may
      have bugs related to DVD issues that are not present in the original
      cdrtools. Please send bug reports or support requests to
      http://bugzilla.redhat.com/bugzilla The original cdrtools author should
      not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
==========================================================
Comment 1 Alberto Milone 2006-05-14 05:36:18 EDT
I have the same problem here with both my Dvd-burners (that work in other distros).
Comment 2 LIETART Frederic 2006-05-23 17:09:54 EDT
CONFIRMED x86_64

Error input/ouput
Comment 3 Nicolas GIF 2007-06-21 09:10:33 EDT
It is possible to unmount the CD-RW without beeing root by using the
"gnome-umount" command instead of "umount".
But how to say to K3B to use gnome-umount instead of umount ?
Comment 4 Bug Zapper 2008-04-03 22:43:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Nicolas GIF 2008-04-04 04:50:29 EDT
I'm currently using Fedora 8.

This problem has been fixed.

Thanks for caring about.
Comment 6 Peter van Egdom 2008-05-04 07:05:58 EDT
Thank you for the bug report. Closing bug as per comment #5.

Note You need to log in before you can comment on or make changes to this bug.